import request from '@/utils/request'

// 查询流程条件组件列表
export function listFlowCondition(query) {
  return request({
    url: '/flow/flowCondition/list',
    method: 'get',
    params: query
  })
}

// 查询流程条件组件详细
export function getFlowCondition(id) {
  return request({
    url: '/flow/flowCondition/' + id,
    method: 'get'
  })
}

// 新增流程条件组件
export function addFlowCondition(data) {
  return request({
    url: '/flow/flowCondition',
    method: 'post',
    data: data
  })
}

// 修改流程条件组件
export function updateFlowCondition(data) {
  return request({
    url: '/flow/flowCondition',
    method: 'put',
    data: data
  })
}

// 删除流程条件组件
export function delFlowCondition(id) {
  return request({
    url: '/flow/flowCondition/' + id,
    method: 'delete'
  })
}

// 导出流程条件组件
export function exportFlowCondition(query) {
  return request({
    url: '/flow/flowCondition/export',
    method: 'get',
    params: query
  })
}